#ifndef XANIMPARTTRANS_H
#define XANIMPARTTRANS_H

#include "xasset.h"
#include "xanimparttransdata.h"

class XAnimPartTrans : public XAsset
{
public:
    explicit XAnimPartTrans();
    XAnimPartTrans(const XAnimPartTrans& aSrc);
    ~XAnimPartTrans();

    void ParseData(QDataStream* aStream) override;
    void Clear() override;

private:
    quint32 mSize;
    bool mIsSmallTrans;
    XAnimPartTransData mData;
};

#endif // XANIMPARTTRANS_H




